unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, ZConnection, ZDataset, Forms, Controls, Graphics,
  Dialogs, Buttons, StdCtrls, LCLType, ExtCtrls, DBGrids, DbCtrls, Types, db,
  LazUTF8, VersionSupport;

type

  { TForm1 }

  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBMemo1: TDBMemo;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    ZQuery1AendDatum: TDateTimeField;
    ZQuery1Geloescht: TLargeintField;
    ZQuery1ID: TLargeintField;
    ZQuery1IDGUID: TStringField;
    ZQuery1IDGUIDT: TFloatField;
    ZQuery1Land: TStringField;
    ZQuery1ParName: TStringField;
    ZQuery1ParNr: TLargeintField;
    ZQuery1ValFloat: TFloatField;
    ZQuery1ValInt: TLargeintField;
    ZQuery1ValMemo: TMemoField;
    ZQuery1ValText: TStringField;
    procedure FormCreate(Sender: TObject);
    procedure ZQuery1ValMemoGetText(Sender: TField; var aText: string;
      DisplayText: Boolean);

  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.ZQuery1ValMemoGetText(Sender: TField; var aText: string;
  DisplayText: Boolean);
var s: string;
begin
  s := StringReplace(Sender.AsString, LineEnding, '¶', [rfReplaceAll]);
  s := StringReplace(s, #13, '¶', [rfReplaceAll]);
  s := StringReplace(s, #10, '', [rfReplaceAll]);
  if Length(s) > 250 then
    aText := UTF8Copy(s, 1, 250) + '...'
  else  aText := s;
end;

procedure TForm1.FormCreate(Sender: TObject);
Var vInfo: TVersionInfo;
begin
  vInfo := TVersionInfo.Create;
  Caption := 'IDE: ' + vInfo.LCLFullVersion + ', ' + VInfo.CompilerInfo;
  vInfo.Free;
  ZQuery1.Open;
end;

end.

